confint_tidy {broom} | R Documentation

## Calculate confidence interval as a tidy data frame

### Description

Return a confidence interval as a tidy data frame. This directly wraps the `confint()` function, but ensures it follows broom conventions: column names of `conf.low` and `conf.high`, and no row names.

### Usage

    confint_tidy(x, conf.level = 0.95, func = stats::confint, ...)

### Arguments

`x` | a model object for which `confint()` can be calculated
`conf.level` | confidence level
`func` | A function to compute a confidence interval for `x`. Calling `func(x, level = conf.level, ...)` must return an object coercable to a tibble. This dataframe like object should have to columns corresponding the lower and upper bounds on the confidence interval.
`...` | extra arguments passed on to `confint`

### Details

`confint_tidy`

### Value

A tibble with two columns: `conf.low` and `conf.high`.

### See Also

confint

[Package broom version 0.5.2 Index]